const system = require("../../../system");
const ServiceBase = require("../../sve.base")

class EorderSve extends ServiceBase {
  constructor() {
    super("eorder", ServiceBase.getDaoName(EorderSve));
    this.eorderprodcutDao = system.getObject("db.eorder.eorderprodcutDao");
  }

  /**
   * fn:保存订单
   * @param params
   * @returns {Promise<void>}
   */
  async saveEorder(params){

  }

  /**
   * fn:审核订单
   * @param params
   * @returns {Promise<void>}
   */
  async auditEorder(params){

  }

  /**
   * fn:根据ID查询订单信息
   * @param params
   * @returns {Promise<void>}
   */
  async getEorderById(params){

  }

  /**
   * fn:订单查询（分页）
   * @param params
   * @returns {Promise<void>}
   */
  async pageEorder(params){

  }

}

module.exports = EorderSve;